//+------------------------------------------------------------------+
//| THANKS to Keris2112 for the #MTF-TEMPLATE code
//|                          MTF_bbsqueeze_dark.mq4 www.forex-tsd.com  
//| BB-Squeeze converted to MTF format by FX Sniper
//+------------------------------------------------------------------+

#property indicator_separate_window
#property indicator_buffers 6
#property indicator_color1 Blue
#property indicator_color2 Maroon
#property indicator_color3 DarkBlue
#property indicator_color4 Red
#property indicator_color5 DeepPink
#property indicator_color6 Lime

#property indicator_width1    2 
#property indicator_width2    2 
#property indicator_width3    2 
#property indicator_width4    2 
#property indicator_width5    2 
#property indicator_width6    2

//#property indicator_level1 0.0
//---- input parameters
/*************************************************************************
PERIOD_M1   1
PERIOD_M5   5
PERIOD_M15  15
PERIOD_M30  30 
PERIOD_H1   60
PERIOD_H4   240
PERIOD_D1   1440
PERIOD_W1   10080
PERIOD_MN1  43200
You must use the numeric value of the timeframe that you want to use
when you set the TimeFrame' value with the indicator inputs.
---------------------------------------
PRICE_CLOSE    0 Close price. 
PRICE_OPEN     1 Open price. 
PRICE_HIGH     2 High price. 
PRICE_LOW      3 Low price. 
PRICE_MEDIAN   4 Median price, (high+low)/2. 
PRICE_TYPICAL  5 Typical price, (high+low+close)/3. 
PRICE_WEIGHTED 6 Weighted close price, (high+low+close+close)/4. 
You must use the numeric value of the Applied Price that you want to use
when you set the 'applied_price' value with the indicator inputs.
**************************************************************************/
extern int TimeFrame=0;
extern int History=500;

extern int       bolPrd=20;
extern double    bolDev=2.0;
extern int       keltPrd=20;
extern double    keltFactor=1.5;
extern int       momPrd=12;

double upK[];
double loK[];
double upB[];
double loB[];
double upB2[];
double loB2[];



//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
  {
   
//---- indicators
   SetIndexStyle(0,DRAW_HISTOGRAM,EMPTY);
   SetIndexBuffer(0,upB);
   SetIndexEmptyValue(0,EMPTY_VALUE);
   
   SetIndexStyle(1,DRAW_HISTOGRAM,EMPTY);
   SetIndexBuffer(1,loB);
   SetIndexEmptyValue(1,EMPTY_VALUE);

   SetIndexStyle(4,DRAW_ARROW,EMPTY);
   SetIndexBuffer(4,upK);
   SetIndexEmptyValue(4,EMPTY_VALUE);
   SetIndexArrow(4,159);
   SetIndexStyle(5,DRAW_ARROW,EMPTY);
   SetIndexBuffer(5,loK);
   SetIndexEmptyValue(5,EMPTY_VALUE);
   SetIndexArrow(5,159);
   
   SetIndexStyle(2,DRAW_HISTOGRAM,EMPTY);
   SetIndexEmptyValue(2,EMPTY_VALUE);
   SetIndexBuffer(2,upB2);

   SetIndexStyle(3,DRAW_HISTOGRAM,EMPTY);
   SetIndexEmptyValue(3,EMPTY_VALUE);
   SetIndexBuffer(3,loB2);
  
   SetIndexLabel(0,"MTF_BBsqz("+bolPrd+","+keltPrd+")");
   SetIndexLabel(1,"MTF_BBsqz("+bolPrd+","+keltPrd+")");
   SetIndexLabel(2,"MTF_BBsqz("+bolPrd+","+keltPrd+")");
   SetIndexLabel(3,"MTF_BBsqz("+bolPrd+","+keltPrd+")");

   //
 //---- name for DataWindow and indicator subwindow label   
   switch(TimeFrame)
   {
      case 1 : string TimeFrameStr="Period_M1"; break;
      case 5 : TimeFrameStr="Period_M5"; break;
      case 15 : TimeFrameStr="Period_M15"; break;
      case 30 : TimeFrameStr="Period_M30"; break;
      case 60 : TimeFrameStr="Period_H1"; break;
      case 240 : TimeFrameStr="Period_H4"; break;
      case 1440 : TimeFrameStr="Period_D1"; break;
      case 10080 : TimeFrameStr="Period_W1"; break;
      case 43200 : TimeFrameStr="Period_MN1"; break;
      default : TimeFrameStr="Current Timeframe";
   }
   IndicatorShortName("MTF_BB-Sqeeze "+TimeFrameStr);

  }
//----
   return(0);
 
//+------------------------------------------------------------------+
//| MTF                                             |
//+------------------------------------------------------------------+
int start()
  {
   datetime TimeArray[];
   int    i,limit,y=0,counted_bars=IndicatorCounted();
 
// Plot defined time frame on to current time frame
   ArrayCopySeries(TimeArray,MODE_TIME,Symbol(),TimeFrame); 
   
   limit=History;
   for(i=0,y=0;i<limit;i++)
   {
   if (Time[i]<TimeArray[y]) y++;

/***********************************************************   
   Add your main indicator loop below.  You can reference an existing
      indicator with its iName  or iCustom.
   Rule 1:  Add extern inputs above for all neccesary values   
   Rule 2:  Use 'TimeFrame' for the indicator time frame
   Rule 3:  Use 'y' for your indicator's shift value
 **********************************************************/  
   //  iCustom(NULL,TimeFrame,"DSS",LP,SP,0,y);
   upB[i]=iCustom(NULL,TimeFrame,"bbsqueeze_dark",
         bolPrd,bolDev,keltPrd,keltFactor,momPrd,0,y);
   loB[i]=iCustom(NULL,TimeFrame,"bbsqueeze_dark",
         bolPrd,bolDev,keltPrd,keltFactor,momPrd,1,y);   
    upB2[i]=iCustom(NULL,TimeFrame,"bbsqueeze_dark",
         bolPrd,bolDev,keltPrd,keltFactor,momPrd,2,y);
   loB2[i]=iCustom(NULL,TimeFrame,"bbsqueeze_dark",
         bolPrd,bolDev,keltPrd,keltFactor,momPrd,3,y);   

   upK[i]=iCustom(NULL,TimeFrame,"bbsqueeze_dark",
         bolPrd,bolDev,keltPrd,keltFactor,momPrd,4,y);
   loK[i]=iCustom(NULL,TimeFrame,"bbsqueeze_dark",
         bolPrd,bolDev,keltPrd,keltFactor,momPrd,5,y);     
   }  
     
//
   
  
  
   return(0);
  }
//+------------------------------------------------------------------+